\name{estimate_g}
\Rdversion{1.1}
\alias{estimate_g}
\title{
Estimate Treatment or Missingness Mechanism}
\description{
An internal function called by the \code{tmle} function to obtain an estimate of P(A=1|W), treatment,  or P(Delta=1|A,W), missingness.  The estimate can be  based on user-supplied values, a user-supplied regression formula, or a model selected data-adaptively by the \code{DSA} algorithm.  If \code{DSA} is not available, estimation is based on main terms regression using \code{glm}.
}
\usage{
estimate_g(g, DSAargs, A, W, Delta, wts, id)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{a vector of values for P(A=1|W) or P(Delta=1|A,W)}
  \item{DSAargs}{an optional list specifying values for all arguments to the \code{DSA} algorithm}
   \item{A}{binary treatment indicator, \code{1} - treatment, \code{0} - control}
  \item{W}{vector, matrix, or dataframe containing baseline covariates}
  \item{Delta}{indicator of missing outcome or treatment assignment.  \code{1} - observed, \code{0} - missing}
  \item{wts}{optional weights on observations. Defaults to unweighted}
  \item{id}{id identifying repeated measures}
}

\value{
 \item{g1W}{a vector containing values for P(A=1|W) (or P(Delta=1|A,W))}
  \item{coef}{coefficients for each term in the working model used for estimation}
  \item{type}{type of estimation procedure: \command{NULL}-user supplied, \sQuote{glm}-glm, \sQuote{DSA}-model selected by \code{DSA}}
}
\author{
Susan Gruber}
\seealso{
\code{\link{tmle}},
\code{\link{estimate_Q}},
\code{\link[DSA]{DSA}}
}

