\name{tmleLite-package}
\Rdversion{1.1}
\alias{tmleLite-package}
\alias{tmleLite}
\docType{package}
\title{Targeted Maximum Likelihood Estimation (Lite)}
\description{
Targeted maximum likelihood estimation of marginal additive treatment effect of a binary point treatment on a continuous or binary outcome, adjusting for baseline covariates. Missingness in the outcome is accounted for in the estimation procedure. Optional data-adaptive estimation of Q and g portions of the likelihood using the \code{DSA} algorithm is available.  This \dQuote{Lite} version of the software implements a simplified approach to targeted maximum likelihood estimation.}
\details{
\tabular{ll}{
Package: \tab tmleLite\cr
Type: \tab Package\cr
Version: \tab 1.0-1\cr
Date: \tab 2009-12-16\cr
License: \tab (none specified) \cr
LazyLoad: \tab no\cr
} 
}
\author{
Susan Gruber, in collaboration with Mark van der Laan.

Maintainer: Susan Gruber, \email{sgruber@berkeley.edu}
}
\references{
1. Mark J. van der Laan and Daniel Rubin (2006), \dQuote{Targeted Maximum Likelihood Learning}. \emph{The International Journal of Biostatistics}, 2(1). \url{http://www.bepress.com/ijb/vol2/iss1/11/}

2. Susan Gruber and Mark J. van der Laan (2009), \dQuote{Targeted Maximum Likelihood Estimation: A Gentle Introduction}. \emph{U.C. Berkeley Division of Biostatistics Working Paper Series}.  Working Paper 252.  \url{http://www.bepress.com/ucbbiostat/paper252}

3.  Mark J. van der Laan, Sherri Rose, Susan Gruber editors, (2009) \dQuote{Readings in Targeted Maximum Likelihood Estimation} . \emph{U.C. Berkeley Division of Biostatistics Working Paper Series}.  Working Paper xxx. \url{http://www.bepress.com/ucbbiostat}

4. Sandra E. Sinisi and Mark J. van der Laan, (2004). \dQuote{Loss-Based
  Cross-Validated Deletion/Substitution/Addition Algorithms in Estimation}.
  \emph{U.C. Berkeley Division of Biostatistics Working Paper
  Series}. Working Paper 143.
  \url{http://www.bepress.com/ucbbiostat/paper143}
}

\seealso{
\code{\link{tmle}},
\code{\link[DSA]{DSA}},
}
